Bug 169780 - Cannot rebuild tetex on stock FC4 system
Cannot rebuild tetex on stock FC4 system
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-10-03 11:36 EDT by Joshua Buysse
Modified: 2013-07-02 19:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-07 12:18:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joshua Buysse 2005-10-03 11:36:42 EDT
Description of problem:
Attempting to rebuild (rpmbuild -ba tetex.spec or rpmbuild --rebuild ...) fails on FC4.  I cannot 
reproduce the build.

Version-Release number of selected component (if applicable):
3.0-4 and 3.0-6

How reproducible:
100% on three different systems.

Actual results:
[end of rpmbuild output]
TEXMFCNF=. make progname=platex files="platex.ltx" prereq-check
make[1]: Entering directory `/amd_mnt/export/x6f9ds6/home/ssrf/buysse/rpm/BUILD/tetex-src-3.0/
make[1]: Warning: File `Makefile' has modification time 9.6e+02 s in the future
TEXMFCNF=. ../../kpathsea/kpsewhich --progname=platex platex.ltx >/dev/null || make prereq-lose 
make[2]: Warning: File `Makefile' has modification time 9.6e+02 s in the future
You seem to be missing input files necessary to make the
basic formats (some or all of: platex.ltx).
Perhaps you've defined the default paths incorrectly, or
perhaps you have environment variables set pointing
to an incorrect location.  See ../kpathsea/BUGS.

If you simply do not have the files, you can
retrieve a minimal set of input files from
ftp://ftp.tug.org/tex/lib.tar.gz, mirrored on
CTAN hosts in systems/web2c.
make[2]: *** [prereq-lose] Error 1
make[1]: *** [prereq-check] Error 2
make[1]: Leaving directory `/amd_mnt/export/x6f9ds6/home/ssrf/buysse/rpm/BUILD/tetex-src-3.0/
make: *** [platex-euc.fmt] Error 2
error: Bad exit status from /home/buysse/rpm/tmp/rpm-tmp.39953 (%build)

RPM build errors:
    Bad exit status from /home/buysse/rpm/tmp/rpm-tmp.39953 (%build)
Comment 1 Jindrich Novy 2005-10-07 12:18:19 EDT
The described problem isn't caused by a bad tetex package (when the build would
fail on any of the FC4 platforms, it wouldn't be included into FC4 updates).
Please check your system time on the machine you try to rebuild teTeX and the
latest "make" is installed.

Note You need to log in before you can comment on or make changes to this bug.